<?php

require "conexao.php";

function contarPedidos($conexao,$loja){

$conexao = $conexao;
$loja = $loja;

$query = "SELECT COUNT(id) As id FROM pedidos WHERE status = 'Pendente' AND loja = '$loja' ";
$result = mysqli_query($conexao, $query);
$row = mysqli_fetch_assoc($result);

$pendentes = $row['id']; 

return $pendentes;

}


function contarPedidosTodos($conexao){

$conexao = $conexao;

$query = "SELECT COUNT(id) As id FROM pedidos WHERE status = 'Pendente'";
$result = mysqli_query($conexao, $query);
$row = mysqli_fetch_assoc($result);

$pendentes = $row['id']; 

return $pendentes;

}



function contarPedidosRecebidos($conexao, $loja){

$conexao = $conexao;
$loja = $loja;

$query = "SELECT COUNT(id) As id FROM pedidos WHERE status = 'Recebido' AND loja = '$loja' ";
$result = mysqli_query($conexao, $query);
$row = mysqli_fetch_assoc($result);

$recebidos = $row['id']; 

return $recebidos;

}


function contarPedidosRecebidosTodos($conexao){

$conexao = $conexao;

$query = "SELECT COUNT(id) As id FROM pedidos WHERE status = 'Recebido'";
$result = mysqli_query($conexao, $query);
$row = mysqli_fetch_assoc($result);

$recebidos = $row['id']; 

return $recebidos;

}



function contarPedidosArquivados($conexao, $loja){

    $conexao = $conexao;
    $loja = $loja;
    
$query = "SELECT COUNT(id) As id FROM notas WHERE status = 'Arquivada' and loja = '$loja'";
$result = mysqli_query($conexao, $query);
$row = mysqli_fetch_assoc($result);

$finalizadas = $row['id']; 

return $finalizadas;

}



function contarNotasPendentes($conexao){

    $conexao = $conexao;
    
$query = "SELECT COUNT(id) As id FROM notas WHERE status = 'Pendente'";
$result = mysqli_query($conexao, $query);
$row = mysqli_fetch_assoc($result);

$finalizadas = $row['id']; 

return $finalizadas;

}

function contarPedidosUrgente($conexao, $loja){

    $conexao = $conexao;
    $loja = $loja;
    
$query = "SELECT COUNT(id) As id FROM notas WHERE status = 'Urgente' and loja = '$loja'";
$result = mysqli_query($conexao, $query);
$row = mysqli_fetch_assoc($result);

$finalizadas = $row['id']; 

return $finalizadas;

}

function PedidosPorcentagem($conexao,$loja){

    $conexao = $conexao;
    $loja = $loja;
    
$query = "SELECT SUM(valor) As valor FROM pedidos WHERE loja = '$loja'";
$result = mysqli_query($conexao, $query);
$row = mysqli_fetch_assoc($result);


$query2 = "SELECT * FROM ordem WHERE loja = '$loja'";
$result2 = mysqli_query($conexao, $query2);
$row2 = mysqli_fetch_assoc($result2);

$ordem = $row2['valor'];
$total = $row['valor'];

if($ordem == 0){

    $ordem = 0.00001;

}

if($total == 0){

    $total = 0.00000000000000001;

}


$procentagem = ($total / $ordem) * 100;

return $procentagem;

}


function Pedidoscomprado($conexao,$loja,$mes){

  $conexao = $conexao;
  $loja = $loja;
  $mes = $mes;

    
$query = "SELECT SUM(valor) As valor FROM pedidos WHERE loja = '$loja' AND MONTH(datapedido) = '$mes'";
$result = mysqli_query($conexao, $query);
$row = mysqli_fetch_assoc($result);

$total = $row['valor'];

return $total;

}


function Pedidosordem($conexao,$loja){

  $conexao = $conexao;
    $loja = $loja;

$query2 = "SELECT * FROM ordem WHERE loja = '$loja'";
$result2 = mysqli_query($conexao, $query2);
$row2 = mysqli_fetch_assoc($result2);


$ordem = $row2['valor'];

return $ordem;

}


function Pedidoslimite($conexao,$loja,$mes){


    $conexao = $conexao;
    $loja = $loja;
    
$query = "SELECT SUM(valor) As valor FROM pedidos WHERE loja = '$loja' AND MONTH(datapedido) = '$mes'";
$result = mysqli_query($conexao, $query);
$row = mysqli_fetch_assoc($result);


$query2 = "SELECT * FROM ordem WHERE loja = '$loja'";
$result2 = mysqli_query($conexao, $query2);
$row2 = mysqli_fetch_assoc($result2);

$ordem = $row2['valor'];
$total = $row['valor'];

$procentagem = $ordem - $total;

return $procentagem;



}











